Bug 433989 - airsnort failed massrebuild attempt for GCC 4.3
airsnort failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: airsnort (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:53 EST by Jesse Keating
Modified: 2013-01-09 21:47 EST (History)
1 user (show)

See Also:
Fixed In Version: airsnort-0.2.7e-11.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 11:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:53:13 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436491
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-22 08:44:21 EST
Errors in Build.log:

/usr/include/linux/wireless.h:660: error: expected specifier-qualifier-list
before '__s32'
/usr/include/linux/wireless.h:673: error: expected specifier-qualifier-list
before '__u16'
/usr/include/linux/wireless.h:687: error: expected specifier-qualifier-list
before '__s32'
/usr/include/linux/wireless.h:698: error: expected specifier-qualifier-list
before '__u8'
/usr/include/linux/wireless.h:714: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:727: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:754: error: expected specifier-qualifier-list
before '__u8'
/usr/include/linux/wireless.h:816: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:830: error: expected specifier-qualifier-list
before '__u16'
/usr/include/linux/wireless.h:844: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:852: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:861: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:873: error: expected specifier-qualifier-list
before '__u16'
/usr/include/linux/wireless.h:896: error: 'IFNAMSIZ' undeclared here (not in a
function)
/usr/include/linux/wireless.h:911: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:955: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:1059: error: expected specifier-qualifier-list
before '__u32'
/usr/include/linux/wireless.h:1077: error: expected specifier-qualifier-list
before '__u16'
callbacks.c: In function 'fillDeviceList':
callbacks.c:121: error: storage size of 'ir' isn't known
callbacks.c:129: error: 'IFF_LOOPBACK' undeclared (first use in this function)
callbacks.c:129: error: (Each undeclared identifier is reported only once
callbacks.c:129: error: for each function it appears in.)
callbacks.c:121: warning: unused variable 'ir'
callbacks.c: In function 'savePacketData':
callbacks.c:562: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:563: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:566: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:568: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:569: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:574: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:575: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:576: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:581: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:582: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:583: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:584: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
callbacks.c:586: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result
make[2]: *** [callbacks.o] Error 1
Comment 2 Bug Zapper 2008-05-14 01:22:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matt Domsch 2008-07-03 11:39:50 EDT
no longer FTBFS as of 2008-06-01.

Note You need to log in before you can comment on or make changes to this bug.